# $POEM: el7/rpmsrc/mailman-jp/trunk/SPECS/mailman-jp.spec 240 2017-11-06 09:29:07Z staff7 $
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Summary: Mailing list manager with built in Web access
Name: mailman
Version: 2.1.26
Release: 1%{?dist}
Epoch: 3
Group: Applications/Internet
Packager : Django
Distribution: CentOS 7
#Source0: ftp://ftp.gnu.org/pub/gnu/mailman/mailman-%{version}.tgz
Source0: mailman-%{version}.tgz
Source1: mm_cfg.py
Source3: httpd-mailman.conf
Source4: mailman.logrotate
Source5: mailman.INSTALL.REDHAT.in
Source6: mailman-crontab-edit
Source7: mailman-migrate-fhs
Source8: mailman-update-cfg
Source9: mailman-tmpfiles.conf
Source10: mailman.service

Patch1: mailman-2.1.12-multimail.patch
Patch2: mailman-2.1.23+j3-build.patch
Patch3: mailman-2.1.23+j1p1-mailmanctl-status.patch
Patch4: mailman-2.1.20+j1p4-cron.patch
Patch5: mailman-2.1.24+j1p1-FHS.patch
Patch6: mailman-2.1.16-python-compile.patch
Patch7: mailman-2.1.13-archive-reply.patch
Patch9: mailman-2.1.9-unicode.patch
Patch21: mailman-2.1.18.1+j2p4-env-python.patch
Patch22: mailman-2.1.15-check_perms.patch

# this is need because patch1 break configure output...
Patch12: mailman-2.1.26-multi-word.patch

License: GPLv2+
URL: http://www.list.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(pre): shadow-utils, /sbin/chkconfig, /sbin/service
Requires: cronie, httpd, python, coreutils, python-pykf, python-cchardet, python-dns
Requires(post): systemd
Requires(post): systemd-sysv
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: automake
BuildRequires: python-devel
BuildRequires: systemd-units
BuildRequires: python-pykf, python-cchardet, python-dns

%global contentdir /usr/share/httpd

# Installation directories
# rpmlint will give an error about hardcoded library path,
# but this is necessary, because there are python executables inside,
# which the user can run in their scripts. 
# see rhbz#226117 for more information
%global mmdir /usr/lib/%{name}
%global varmmdir /var/lib/%{name}
%global docdir /usr/share/doc/%{name}-%{version}
%global configdir /etc/%{name}
%global datadir %{varmmdir}/data
%global archivesdir %{varmmdir}/archives
%global lockdir /var/lock/%{name}
%global logdir /var/log/%{name}
%global piddir /var/run/%{name}
%global queuedir /var/spool/%{name}
%global templatedir %{configdir}/templates
%global httpdconfdir /etc/httpd/conf.d
%global restart_flag /var/run/%{name}-restart-after-rpm-install
%global mmbuilddir %{_builddir}/%{name}-%{version}

%global httpdconffile %{name}.conf
# Now, the user and group the CGIs will expect to be run under.  This should
# match the user and group the web server is configured to run as.  The scripts
# will error out if they are invoked by any other user.
%global cgiuser    apache
%global cgigroup   apache

# Now, the user and group the scripts will actually execute as.
%global mmuser       mailman
%global mmuserid     41
%global mmgroup      mailman
%global mmgroupid    41

# Directory/File modes & permissions
%global dirmode 2775
%global exemode 2755

# Now, the groups your mail spoolers run as.  Sendmail uses 'mail'(12)
# and postfix used to use 'nobody', but now uses 'postfix'
%global mailgroup  "mail postfix mailman nobody daemon"

# The mail wrapper program
%global mail_wrapper mailman

%description
Mailman is software to help manage email discussion lists, much like
Majordomo and Smartmail. Unlike most similar products, Mailman gives
each mailing list a webpage, and allows users to subscribe,
unsubscribe, etc. over the Web. Even the list manager can administer
his or her list entirely from the Web. Mailman also integrates most
things people want to do with mailing lists, including archiving, mail
<-> news gateways, and so on.

Documentation can be found in: %{docdir}

When the package has finished installing, you will need to perform some
additional installation steps, these are described in:
%{docdir}/INSTALL.REDHAT

%prep
%setup -q
%patch1 -p1 -b .multimail
%patch2 -p1 -b .permissions
%patch3 -p1 -b .status
%patch4 -p1 -b .cron
%patch5 -p1 -b .FHS
%patch6 -p1 -b .python-compile
%patch7 -p1 -b .archive-in-reply-to
%patch9 -p1 -b .unicode
%patch21 -p1
%patch22 -p1
%patch12 -p1 -b .multi-word

#cp $RPM_SOURCE_DIR/mailman.INSTALL.REDHAT.in INSTALL.REDHAT.in
cp %{SOURCE5} INSTALL.REDHAT.in

%build

CFLAGS="$RPM_OPT_FLAGS -fPIE -DPIE"; export CFLAGS
# Full relro
export LDFLAGS="$LDFLAGS -pie -Wl,-z,relro -Wl,-z,now"

rm -f configure
aclocal
autoconf
# rpmlint will give an error about hardcoded library path,
# but this is necessary, because there are python executables inside,
# which the user can run in their scripts. 
# see rhbz#226117 for more information
./configure \
        --libdir=/usr/lib \
        --prefix=%{mmdir} \
        --with-var-prefix=%{varmmdir} \
        --with-config-dir=%{configdir} \
        --with-lock-dir=%{lockdir} \
        --with-log-dir=%{logdir} \
        --with-pid-dir=%{piddir} \
        --with-queue-dir=%{queuedir} \
        --with-template-dir=%{templatedir} \
        --with-python=%{__python} \
        --with-mail-gid=%{mailgroup} \
        --with-cgi-gid=%{cgigroup} \
        --with-mailhost=localhost.localdomain \
        --with-urlhost=localhost.localdomain \
        --without-permcheck

function SubstituteParameters()
{
sed -e 's|@VAR_PREFIX@|%{varmmdir}|g' \
    -e 's|@VARMMDIR@|%{varmmdir}|g' \
    -e 's|@prefix@|%{mmdir}|g' \
    -e 's|@MMDIR@|%{mmdir}|g' \
    -e 's|@CONFIG_DIR@|%{configdir}|g' \
    -e 's|@DATA_DIR@|%{datadir}|g' \
    -e 's|@LOCK_DIR@|%{lockdir}|g' \
    -e 's|@LOG_DIR@|%{logdir}|g' \
    -e 's|@PID_DIR@|%{piddir}|g' \
    -e 's|@QUEUE_DIR@|%{queuedir}|g' \
    -e 's|@DOC_DIR@|%{docdir}|g' \
    -e 's|@HTTPD_CONF_DIR@|%{httpdconfdir}|g' \
    -e 's|@HTTPD_CONF_FILE@|%{httpdconffile}|g' \
    $1 > $2
}

SubstituteParameters "INSTALL.REDHAT.in" "INSTALL.REDHAT"
SubstituteParameters "%{SOURCE1}" "Mailman/mm_cfg.py.dist"
SubstituteParameters "%{SOURCE3}" "httpd-mailman.conf"
SubstituteParameters "%{SOURCE4}" "mailman.logrotate"

make

%install
# Normal install.
make DESTDIR=%{buildroot} install
#make install prefix=%{buildroot}%{mmdir} var_prefix=%{buildroot}%{varmmdir}

# Install the mailman cron.d script
mkdir -p %{buildroot}/etc/cron.d
cat > %{buildroot}/etc/cron.d/%{name} <<EOF
# DO NOT EDIT THIS FILE!
#
# Contents of this file managed by /etc/init.d/%{name}
# Master copy is %{mmdir}/cron/crontab.in
# Consult that file for documentation
EOF

# Copy the icons into the web server's icons directory.
mkdir -p %{buildroot}%{contentdir}/icons
cp %{buildroot}/%{mmdir}/icons/* %{buildroot}%{contentdir}/icons

# Create a link to the wrapper in /etc/smrsh to allow sendmail to run it.
# The link should be relative in order to make it work in chroot
mkdir -p %{buildroot}/etc/smrsh
ln -s ../..%{mmdir}/mail/%{mail_wrapper} %{buildroot}/etc/smrsh

# sitelist.cfg used to live in the DATA_DIR, now as part of the 
# FHS reoraganization it lives in the CONFIG_DIR. Most of the
# documentation refers to it in its DATA_DIR location and experienced
# admins will expect to find it there, so create a link in DATA_DIR to
# point to it in CONFIG_DIR so people aren't confused.
ln -s %{configdir}/sitelist.cfg %{buildroot}%{datadir}

# Install a logrotate control file.
mkdir -p %{buildroot}/etc/logrotate.d
install -m644 %{mmbuilddir}/mailman.logrotate %{buildroot}/etc/logrotate.d/%{name}

# Install the httpd configuration file.
install -m755 -d %{buildroot}%{httpdconfdir}
install -m644 %{mmbuilddir}/httpd-mailman.conf %{buildroot}%{httpdconfdir}/%{httpdconffile}

# Install the documentation files
install -m755 -d %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/INSTALL.REDHAT   %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/ACKNOWLEDGMENTS  %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/FAQ              %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/NEWS             %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/NEWS.japan.utf-8 %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/README           %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/README.CONTRIB   %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/README-I18N.en   %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/README.NETSCAPE  %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/README.USERAGENT %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/README.japan.utf-8 %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/STYLEGUIDE.txt   %{buildroot}%{docdir}
install -m644 %{mmbuilddir}/UPGRADING        %{buildroot}%{docdir}

# Extra documentation from messages/ja
mkdir -p $RPM_BUILD_ROOT%{docdir}/ja
iconv -f euc-jp -t utf-8 %{mmbuilddir}/messages/ja/README \
    > $RPM_BUILD_ROOT%{docdir}/ja/README
iconv -f euc-jp -t utf-8 %{mmbuilddir}/messages/ja/UPGRADING \
    > $RPM_BUILD_ROOT%{docdir}/ja/UPGRADING
iconv -f euc-jp -t utf-8 %{mmbuilddir}/messages/ja/doc/Defaults.py.in |\
    sed -e 's/coding: euc-jp/coding: utf-8/' \
    > $RPM_BUILD_ROOT%{docdir}/ja/Defaults.py.in

cp -r %{mmbuilddir}/contrib %{buildroot}%{docdir}
install -m644 %{SOURCE7} %{buildroot}%{docdir}/contrib/migrate-fhs
install -m755 -d %{buildroot}%{docdir}/admin
cp -r %{mmbuilddir}/doc %{buildroot}%{docdir}/admin

#install the script for updating the config (bz#484328)
mkdir -p %{buildroot}%{mmdir}/bin/
install -m755 %{SOURCE8} %{buildroot}%{mmdir}/bin/
# set library path in mailman-update-cfg script.
sed -i 's,@mmdir@,%{mmdir},g' %{buildroot}%{mmdir}/bin/mailman-update-cfg

# remove dir/files from %{buildroot} that we aren't shipping
rm -rf %{buildroot}%{varmmdir}/icons

# The file fblast confuses /usr/lib/rpm/find-requires because its an executable
# script file that does not have the interpreter as the first line, its not
# executable by itself so turn off its execute permissions
chmod 0644 %{buildroot}/%{mmdir}/tests/fblast.py

# Security issues...
#chmod 0755 %{buildroot}/%{mmdir}/pythonlib/japanese/c/_japanese_codecs.so
#chmod 0755 %{buildroot}/%{mmdir}/pythonlib/korean/c/hangul.so
#chmod 0755 %{buildroot}/%{mmdir}/pythonlib/korean/c/_koco.so

# Directories...
mkdir -p %{buildroot}/%{lockdir}
mkdir -p %{buildroot}/%{logdir}
mkdir -p %{buildroot}/%{piddir}
mkdir -p %{buildroot}/%{queuedir}
mkdir -p %{buildroot}/%{_tmpfilesdir}
install -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# Systemd service file
mkdir -p %{buildroot}%{_unitdir}
install -m644 %{SOURCE10} %{buildroot}%{_unitdir}

# Move mm_cfg.py to /etc/mailman and create symlink to it
mkdir -p %{buildroot}%{configdir}
mv %{buildroot}%{mmdir}/Mailman/mm_cfg.py %{buildroot}%{configdir}
ln -s %{configdir}/mm_cfg.py %{buildroot}%{mmdir}/Mailman/

# Put README file into old templates directory to inform admins
# about change
cat > %{buildroot}%{mmdir}/templates/README <<EOF
Templates have been moved to %{templatedir}.
EOF

# byte-compile %{mmdir}
#py_byte_compile %{__python} %{buildroot}%{mmdir}
find %{buildroot}%{mmdir} -type f -a -name "*.py" -print0 | xargs -0 %{__python} -c 'import py_compile, sys; [py_compile.compile(f, dfile=f.partition("$RPM_BUILD_ROOT")[2]) for f in sys.argv[1:]]' || :
find %{buildroot}%{mmdir} -type f -a -name "*.py" -print0 | xargs -0 %{__python} -O -c 'import py_compile, sys; [py_compile.compile(f, dfile=f.partition("$RPM_BUILD_ROOT")[2]) for f in sys.argv[1:]]' || :

# Change permissions of directories to keep rpmlint silent
find %{buildroot}/%{mmdir} -type d -exec chmod 755 {} \;
find %{buildroot}/%{templatedir} -type d -exec chmod 755 {} \;
# There is no need for setgid bit in all files in those directories except cgi-bin
chmod %{buildroot}/%{mmdir} -s -R
# cgi-bin contains ELF executables which have to have setgid
chmod g+s %{buildroot}/%{mmdir}/cgi-bin/*
chmod g+s %{buildroot}/%{mmdir}/mail/mailman
# no need for setgid in configdir
chmod %{buildroot}/%{configdir}/* -s -R

%pre

# Make sure the user "mailman" exists on this system and has the correct values
if grep -q "^mailman:" /etc/group 2> /dev/null ; then
  /usr/sbin/groupmod -g %{mmgroupid} -n %{mmgroup} %{mmgroup} 2> /dev/null || :
else
  /usr/sbin/groupadd -g %{mmgroupid} %{mmgroup} 2> /dev/null || :
fi
if grep -q "^mailman:" /etc/passwd 2> /dev/null ; then
  /usr/sbin/usermod -s /sbin/nologin -c "GNU Mailing List Manager" -d %{mmdir} -u %{mmuserid} -g %{mmgroupid}       %{mmuser} 2> /dev/null || :
else
  /usr/sbin/useradd -s /sbin/nologin -c "GNU Mailing List Manager" -d %{mmdir} -u %{mmuserid} -g %{mmgroupid} -M -r %{mmuser} 2> /dev/null || :
fi

# Mailman should never be running during an install, but a package upgrade
# shouldn't silently stop the service, so if mailman was running
# we'll leave a temp file in the lock directory as a flag so in
# the post install phase we can restart it.
#
# rpmlint will complain here about "dangerous use of rm"
# but this is OK because we are only rm-ing our temporary file
if [ -d %{lockdir} ]; then
  rm -f %{restart_flag}
  /sbin/service %{name} status >/dev/null 2>&1
  if [ $? -eq 0 ]; then
      touch %{restart_flag}
      /sbin/service %{name} stop >/dev/null 2>&1
  fi
fi

# Remove older rpm-state dir
if [ -d %{_localstatedir}/lib/rpm-state/mailman ]; then
  rm -rf %{_localstatedir}/lib/rpm-state/mailman
fi

# Move mm_cfg.py to different location to be able to copy it to /etc/mailman
# later in post. This is needed, otherwise RPM would remove it.
mkdir -p %{_localstatedir}/lib/rpm-state/mailman/
if [ -L %{configdir}/mm_cfg.py -a ! -L %{mmdir}/Mailman/mm_cfg.py -a -d %{configdir} ]; then
  mv %{mmdir}/Mailman/mm_cfg.py %{_localstatedir}/lib/rpm-state/mailman/mm_cfg.py
fi

# Move templates dir to different location to be able to copy it to
# /etc/mailman later in post. This is needed, otherwise RPM would remove it.
if [ ! -d %{templatedir} -a -d %{mmdir}/templates ]; then
  mv %{mmdir}/templates %{_localstatedir}/lib/rpm-state/mailman/
fi

# rpm should not abort if last command run had non-zero exit status, exit cleanly
exit 0

%post
# We no longer use crontab, but previous versions of the spec file did, so clean up
if [ -f /var/spool/cron/%{mmuser} ]; then
  crontab -u %{mmuser} -r
fi

# Restart mailman if it had been running before installation
if [ -e %{restart_flag} ]; then
  rm %{restart_flag}
  /sbin/service %{name} start >/dev/null 2>&1
fi

# Move mm_cfg.py from /usr/lib/mailman/Mailman to /etc/mailman and create
# symlink to it (#905845).
if [ -f %{_localstatedir}/lib/rpm-state/mailman/mm_cfg.py ]; then
  cp -p %{_localstatedir}/lib/rpm-state/mailman/mm_cfg.py %{configdir}/mm_cfg.py
fi

# Move mmdir/templates to /etc/mailman/templates
if [ -d %{_localstatedir}/lib/rpm-state/mailman/templates ]; then
  cp -pr %{_localstatedir}/lib/rpm-state/mailman/templates/* %{templatedir}
  rm -rf %{_localstatedir}/lib/rpm-state/mailman/templates/
fi

if [ -d %{_localstatedir}/lib/rpm-state/mailman ]; then
  rm -rf %{_localstatedir}/lib/rpm-state/mailman
fi

# systemd
%systemd_post mailman.service

# rpm should not abort if last command run had non-zero exit status, exit cleanly
exit 0

%preun

# if [ $1 = 0 ]' checks that this is the actual deinstallation of
# the package, as opposed to just removing the old package on upgrade.

%systemd_preun mailman.service
# rpm should not abort if last command run had non-zero exit status, exit cleanly
exit 0

%postun
if [ $1 = 0 ]; then
  crontab -u %{mmuser} -r 2>/dev/null
fi

# systemd
%systemd_postun_with_restart mailman.service

# rpm should not abort if last command run had non-zero exit status, exit cleanly
exit 0

%triggerun -- mailman < 3:2.1.14-9
%{_bindir}/systemd-sysv-convert --save mailman >/dev/null 2>&1 ||:
/bin/systemctl enable mailman.service >/dev/null 2>&1
/sbin/chkconfig --del mailman >/dev/null 2>&1 || :
/bin/systemctl try-restart mailman.service >/dev/null 2>&1 || :


%files
%defattr(-,root,%{mmgroup})
%dir %{mmdir}
%dir %{mmdir}/Mailman
%{mmdir}/templates
%{mmdir}/bin
%dir %{mmdir}/cgi-bin/
%attr(2755, root, %{mmgroup}) %{mmdir}/cgi-bin/*
%dir %{mmdir}/cron
%{mmdir}/icons
%dir %{mmdir}/mail
%attr(2755, root, %{mmgroup}) %{mmdir}/mail/mailman
%{mmdir}/messages
%{mmdir}/pythonlib
%{mmdir}/scripts
# rpmlint will complain here about config files being in /usr
# but these are both data files -parts of mailman's web UI-
# and config files - user can change them to match the design
# and/or content of their web pages
%config(noreplace) %{templatedir}
%{mmdir}/tests
%dir %{varmmdir}
%{varmmdir}/data
%{varmmdir}/lists
%{varmmdir}/spam
%dir %{archivesdir}
%{archivesdir}/public
# fix for security issue #459530
%attr(2770,%{cgiuser},%{mmgroup}) %{archivesdir}/private
#cron dir minus one file which is listed later
%{mmdir}/cron/bumpdigests
%{mmdir}/cron/checkdbs
%{mmdir}/cron/cull_bad_shunt
%{mmdir}/cron/disabled
%{mmdir}/cron/gate_news
%{mmdir}/cron/mailpasswds
%{mmdir}/cron/nightly_gzip
%{mmdir}/cron/paths.py
%{mmdir}/cron/paths.pyc
%{mmdir}/cron/paths.pyo
%{mmdir}/cron/senddigests
#Mailman dir minus one file which is listed later
%{mmdir}/Mailman/Archiver
%{mmdir}/Mailman/Autoresponder.py
%{mmdir}/Mailman/Autoresponder.pyc
%{mmdir}/Mailman/Autoresponder.pyo
%{mmdir}/Mailman/Bouncer.py
%{mmdir}/Mailman/Bouncer.pyc
%{mmdir}/Mailman/Bouncer.pyo
%{mmdir}/Mailman/Bouncers
%{mmdir}/Mailman/Cgi
%{mmdir}/Mailman/Commands
%{mmdir}/Mailman/CSRFcheck.py
%{mmdir}/Mailman/CSRFcheck.pyc
%{mmdir}/Mailman/CSRFcheck.pyo
%{mmdir}/Mailman/Defaults.py
%{mmdir}/Mailman/Defaults.pyc
%{mmdir}/Mailman/Defaults.pyo
%{mmdir}/Mailman/Deliverer.py
%{mmdir}/Mailman/Deliverer.pyc
%{mmdir}/Mailman/Deliverer.pyo
%{mmdir}/Mailman/Digester.py
%{mmdir}/Mailman/Digester.pyc
%{mmdir}/Mailman/Digester.pyo
%{mmdir}/Mailman/Errors.py
%{mmdir}/Mailman/Errors.pyc
%{mmdir}/Mailman/Errors.pyo
%{mmdir}/Mailman/GatewayManager.py
%{mmdir}/Mailman/GatewayManager.pyc
%{mmdir}/Mailman/GatewayManager.pyo
#%%{mmdir}/Mailman/Generator.py
#%%{mmdir}/Mailman/Generator.pyc
#%%{mmdir}/Mailman/Generator.pyo
%{mmdir}/Mailman/Gui
%{mmdir}/Mailman/Handlers
%{mmdir}/Mailman/htmlformat.py
%{mmdir}/Mailman/htmlformat.pyc
%{mmdir}/Mailman/htmlformat.pyo
%{mmdir}/Mailman/HTMLFormatter.py
%{mmdir}/Mailman/HTMLFormatter.pyc
%{mmdir}/Mailman/HTMLFormatter.pyo
%{mmdir}/Mailman/i18n.py
%{mmdir}/Mailman/i18n.pyc
%{mmdir}/Mailman/i18n.pyo
%{mmdir}/Mailman/__init__.py
%{mmdir}/Mailman/__init__.pyc
%{mmdir}/Mailman/__init__.pyo
%{mmdir}/Mailman/ListAdmin.py
%{mmdir}/Mailman/ListAdmin.pyc
%{mmdir}/Mailman/ListAdmin.pyo
%{mmdir}/Mailman/LockFile.py
%{mmdir}/Mailman/LockFile.pyc
%{mmdir}/Mailman/LockFile.pyo
%{mmdir}/Mailman/Logging
%{mmdir}/Mailman/Mailbox.py
%{mmdir}/Mailman/Mailbox.pyc
%{mmdir}/Mailman/Mailbox.pyo
%{mmdir}/Mailman/MailList.py
%{mmdir}/Mailman/MailList.pyc
%{mmdir}/Mailman/MailList.pyo
%{mmdir}/Mailman/MemberAdaptor.py
%{mmdir}/Mailman/MemberAdaptor.pyc
%{mmdir}/Mailman/MemberAdaptor.pyo
%{mmdir}/Mailman/Message.py
%{mmdir}/Mailman/Message.pyc
%{mmdir}/Mailman/Message.pyo
%{mmdir}/Mailman/mm_cfg.py.dist
%{mmdir}/Mailman/MTA
%{mmdir}/Mailman/OldStyleMemberships.py
%{mmdir}/Mailman/OldStyleMemberships.pyc
%{mmdir}/Mailman/OldStyleMemberships.pyo
%{mmdir}/Mailman/Pending.py
%{mmdir}/Mailman/Pending.pyc
%{mmdir}/Mailman/Pending.pyo
%{mmdir}/Mailman/Post.py
%{mmdir}/Mailman/Post.pyc
%{mmdir}/Mailman/Post.pyo
%{mmdir}/Mailman/Queue
%{mmdir}/Mailman/SafeDict.py
%{mmdir}/Mailman/SafeDict.pyc
%{mmdir}/Mailman/SafeDict.pyo
%{mmdir}/Mailman/SecurityManager.py
%{mmdir}/Mailman/SecurityManager.pyc
%{mmdir}/Mailman/SecurityManager.pyo
%{mmdir}/Mailman/Site.py
%{mmdir}/Mailman/Site.pyc
%{mmdir}/Mailman/Site.pyo
%{mmdir}/Mailman/TopicMgr.py
%{mmdir}/Mailman/TopicMgr.pyc
%{mmdir}/Mailman/TopicMgr.pyo
%{mmdir}/Mailman/UserDesc.py
%{mmdir}/Mailman/UserDesc.pyc
%{mmdir}/Mailman/UserDesc.pyo
%{mmdir}/Mailman/Utils.py
%{mmdir}/Mailman/Utils.pyc
%{mmdir}/Mailman/Utils.pyo
%{mmdir}/Mailman/Version.py
%{mmdir}/Mailman/Version.pyc
%{mmdir}/Mailman/Version.pyo
%{mmdir}/Mailman/versions.py
%{mmdir}/Mailman/versions.pyc
%{mmdir}/Mailman/versions.pyo
%{_unitdir}/mailman.service
%doc %{docdir}
%dir %attr(0755,root,root) %{contentdir}/icons
%attr(0644,root,root) %{contentdir}/icons/*
%attr(0644, root, %{mmgroup}) %config(noreplace) %verify(not md5 size mtime) %{configdir}/mm_cfg.py
%config(noreplace) %verify(not md5 size mtime) %{mmdir}/Mailman/mm_cfg.py
%verify(not md5 size mtime) %{mmdir}/Mailman/mm_cfg.py?
%config(noreplace) %{httpdconfdir}/%{httpdconffile}
%config(noreplace) /etc/logrotate.d/%{name}
/etc/smrsh/%{mail_wrapper}
%dir %attr(2775,root,%{mmgroup}) %{configdir}
%attr(0644, root, %{mmgroup}) %config(noreplace) %verify(not md5 size mtime) %{configdir}/sitelist.cfg
%attr(775,root,%{mmgroup}) %{logdir}
%{_tmpfilesdir}/%{name}.conf
%attr(2775,root,%{mmgroup}) %{queuedir}
%attr(0644,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/cron.d/mailman
%attr(0644,root,%{mmgroup}) %config(noreplace) %{mmdir}/cron/crontab.in
%attr(0755,root,root) %{mmdir}/bin/mailman-update-cfg
%dir %attr(775,root,%{mmgroup}) %{piddir}
%dir %attr(775,root,%{mmgroup}) %{lockdir}


%changelog
* Mon Feb 26 2018 Django <django@mailserver.guru> - 3:2.1.26-1
  Security

    - An XSS vulnerability in the user options CGI could allow a crafted URL
      to execute arbitrary javascript in a user's browser.  A related issue
      could expose information on a user's options page without requiring
      login.  These are fixed.  Thanks to Calum Hutton for the report.
      CVE-2018-5950  (LP: #1747209)

  New Features

    - Thanks to David Sieb.rger who adapted an existing patch by Andrea
      Veri to use Google reCAPTCHA v2 there is now the ability to add
      reCAPTCHA to the listinfo subscribe form.  There are two new mm_cfg.py
      settings for RECAPTCHA_SITE_KEY and RECAPTCHA_SECRET_KEY, the values
      for which you obtain for your domain(s) from Google at
      <https://www.google.com/recaptcha/admin>.

    - Thanks to Lindsay Haisley, there is a new bin/mailman-config command
      to display various information about this Mailman version and how it
      was configured.

  i18n

    - The Japanese message catalog has been updated for added strings by
      Yasuhito FUTATSUKI.

    - The German translation of a couple of templates has been updated by
      Thomas Hochstein.

    - The Japanese translation of Defaults.py.in has been updated by
      Yasuhito FUTATSUKI.

  Bug fixes and other patches

    - Fixed an i18n bug in the reCAPTCHA feature.  (LP: #1746189)

    - Added a few more environment variables to the list of those passed
      to CGIs to support an nginx/uwsgi configuration.  (LP #1744739)

    - Mailman 2.1.22 introduced a Python 2.7 dependency that could affect
      bin/arch processing a message without a valid Date: header.  The
      dependency has been removed.  (LP: #1740543)

    - Messages held for header_filter_rules now show the matched regexp in
      the hold reason.  (LP: #1737371)

    - When updating the group and mode of a .db file with Mailman's Postfix
      integration, a missing file is ignored.  (LP: #1734162)

    - The DELIVERY_RETRY_WAIT setting is now effective.  (LP: #1729472)


* Fri Jan 26 2018 Django <django@mailserver.guru> - 3:2.1.25-1
- update to new upstream versino 2.1.25

* Wed Sep 09 2015 Django <django@mailserver.guru> - 3:2.1.20-1
- update to new upstream versino 2.1.20

* Fri Dec 19 2014 Django <django@mailserver.guru> - 3:2.1.18-1
- Initial build for CentOS 7
